CadXP: message OBJET AEC !!!!!! - CadXP

Aller au contenu

Page 1 sur 1
  • Vous ne pouvez pas commencer un sujet
  • Vous ne pouvez pas répondre à ce sujet

message OBJET AEC !!!!!!

#1 L'utilisateur est hors-ligne   rebcao 

  • ceinture rouge et blanche 8em dan
  • Groupe : Membres
  • Messages : 7 256
  • Inscrit(e) : 25-août 04
  • LocationSELESTAT

Posté 30 juillet 2009 - 15:00

Bonjour à Toutes et à Tous,

Chez un client sur 2006, on a systématiquement la case qui affiche un message d'info "OBJET AEC...blabla..." et il faut [surligneur] à chaque fois cliquer sur OK !!!![/surligneur]

Une fois ça va ! mais à chaque insertion de bloc on y a droit...

Une astuce pour supprimer ce message ?

Merci de vos réponses.


Christian




[Edité le 30/7/2009 par rebcao]
Formateur, Consultant Expert AutoCAD, REVIT MEP, INVENTOR, télécharger des Supports de Cours AutoCAD, des Outils AutoCAD...
cad123 @ wanadoo.fr (enlever les espaces de part et d'autre de @)
0

#2 L'utilisateur est hors-ligne   Tramber 

  • ceinture rouge et blanche 8em dan
  • Groupe : Moderateurs
  • Messages : 8 492
  • Inscrit(e) : 29-mars 03
  • LocationStrasbourg

Posté 30 juillet 2009 - 15:40

Je pense que les PROXY.... et toutes ces variables sont sans effet mais que ce passerait-il si tu mettait en place les http://www.autodesk.com/liveenablers ?
Image IPB

Bureau d'études dessin.
Spécialiste Escaliers
Développement - Formation

./__\.
(.°=°.)
0

#3 L'utilisateur est en ligne   lecrabe 

  • ceinture rouge et blanche 8em dan
  • Groupe : Moderateurs
  • Messages : 9 134
  • Inscrit(e) : 10-décembre 03
  • LocationLoire (42)

Posté 30 juillet 2009 - 17:40


Hello

Et si tu reprends tous ces blocs pour les re-enregistrer avec ton AutoCAD 2006
en DWG2004 ou meme en DWG2000 ...

Quand tu les re-inseres par "Parcourir ...", as tu toujours ce foutu message ?

Le Decapode "Scriptor"

0

#4 L'utilisateur est hors-ligne   rebcao 

  • ceinture rouge et blanche 8em dan
  • Groupe : Membres
  • Messages : 7 256
  • Inscrit(e) : 25-août 04
  • LocationSELESTAT

Posté 30 juillet 2009 - 17:42

Bonsoir,

Merci pour le lien TramTrand ;)

Je te dis ce que ça donnera dès demain...


Christian
Formateur, Consultant Expert AutoCAD, REVIT MEP, INVENTOR, télécharger des Supports de Cours AutoCAD, des Outils AutoCAD...
cad123 @ wanadoo.fr (enlever les espaces de part et d'autre de @)
0

#5 L'utilisateur est hors-ligne   rebcao 

  • ceinture rouge et blanche 8em dan
  • Groupe : Membres
  • Messages : 7 256
  • Inscrit(e) : 25-août 04
  • LocationSELESTAT

Posté 30 juillet 2009 - 17:44

Hé bé....

Mais qu'est-ce donc !!!! voila que tu réponds quand je réponds...

Sacré Crabeuleu... ;)

J'essayerai ça aussi dès demain...

Merci et Bonne soirée,

Christian
Formateur, Consultant Expert AutoCAD, REVIT MEP, INVENTOR, télécharger des Supports de Cours AutoCAD, des Outils AutoCAD...
cad123 @ wanadoo.fr (enlever les espaces de part et d'autre de @)
0

#6 L'utilisateur est hors-ligne   rebcao 

  • ceinture rouge et blanche 8em dan
  • Groupe : Membres
  • Messages : 7 256
  • Inscrit(e) : 25-août 04
  • LocationSELESTAT

Posté 01 août 2009 - 13:05

Bonjour,

J'ai testé c'est PATCH AUTODESK !!!!! :cool: C'est pas claire et ça marche pas...

Il n'y a pas un PATCH par version, mais par type d'objets AEC !!!!!

Pour l'instant ça continu à merdouiller !!!!

Y aurait pas un petit PROGRAMME pour PURGER ces OBJETS AEC ? J'ai réussit à m'en débarasser avec une 2010 via eTransmit... AAutoCAD crée une multitude de BLOCS AEC... et des CALQUES AEC.... et tout ça pour pas grand chose car il n'y a rien dans ces blocs... :mad: On peut les supprimer.

Christian
Formateur, Consultant Expert AutoCAD, REVIT MEP, INVENTOR, télécharger des Supports de Cours AutoCAD, des Outils AutoCAD...
cad123 @ wanadoo.fr (enlever les espaces de part et d'autre de @)
0

#7 L'utilisateur est en ligne   Eric 

  • ceinture rouge et blanche 6em dan
  • Groupe : Membres
  • Messages : 3 353
  • Inscrit(e) : 16-décembre 02
  • LocationLamballe (22)

Posté 01 août 2009 - 13:56

Salut Christian,

Et si tu fais un -PURGER avec l'option appsenReg, ça change quelque chose ?
0

#8 L'utilisateur est hors-ligne   (gile) 

  • ceinture rouge et blanche 8em dan
  • Groupe : Moderateurs
  • Messages : 11 425
  • Inscrit(e) : 02-septembre 05

Posté 01 août 2009 - 15:09

Salut,

Pour supprimer les objets AEC, tu peux utiliser ZombieKill :
(defun c:ZombieKill ()

  (vl-load-com)

  (vlax-for bloc (vla-get-blocks

                   (vla-get-ActiveDocument

                     (vlax-get-acad-object)

                   )

                 )

    (vlax-for ent bloc

      (if (= "AcDbZombieEntity" (vla-get-ObjectName ent))

        (vla-delete ent)

      )

    )

  )

  (princ)

)


Mais il sont certainement accompagnés de dictionnaires.
Si tu peux lancer cette expression à la ligne de commande, et me dire le retour, je pourrais essayer de faire un filtre pour supprimer aussi ces dictionnaires.
((lambda ()

   (vl-load-com)

   (vlax-for d (vla-get-Dictionaries

                 (vla-get-ActiveDocument

                   (vlax-get-acad-object)

                 )

               )

     (vl-catch-all-apply (function (lambda () (print (vla-get-Name d)))))

   )

   (princ)

 )

)


Ou m'envoyer le fichier ou un extrait (chanteau.gilles (at) orange.fr)

Attention
Cette solution radicale n'est à utiliser que si le fichier ne doit plus être utilisé avec une application verticale (AutoCAD Architecture).

Gilles Chanteau - gileCAD -
Développements sur mesure pour AutoCAD
Image IPB
0

#9 L'utilisateur est en ligne   lecrabe 

  • ceinture rouge et blanche 8em dan
  • Groupe : Moderateurs
  • Messages : 9 134
  • Inscrit(e) : 10-décembre 03
  • LocationLoire (42)

Posté 02 août 2009 - 09:08


Hello

Petite remarque: il me semble que ces objets sont crées par A D T et aussi par CIVIL !

Le Decapode

PS: MAP ne crée pas d'objet AEC car le seul objet "spécifique" de MAP, c est le fameux MPOLYGON que AutoCAD ou LT ou A D T gère très bien



0

#10 L'utilisateur est hors-ligne   fauxsuisse 

  • ceinture noire 1er dan
  • Groupe : Membres
  • Messages : 985
  • Inscrit(e) : 01-septembre 04
  • LocationSuisse - Châtel St. Denis

Posté 06 août 2009 - 12:33

Bonjour tout le monde.

Avez vous trouvé une solution à ce problème ? car je l'ai aussi rencontré sur un dessin créé sur Autocad 2010 mais sauvegardé en 2007 ou 2004 et dès qu'il est ouvert avec Autocad 2009 j'ai le même problème, à chaque fois que je veux insérer un bloc il m'affiche le message et c'est très pénible, mais je ne comprends pas pourquoi il le fait seulement avec certains dessin. :mad:
0

#11 L'utilisateur est hors-ligne   (gile) 

  • ceinture rouge et blanche 8em dan
  • Groupe : Moderateurs
  • Messages : 11 425
  • Inscrit(e) : 02-septembre 05

Posté 06 août 2009 - 17:33

Salut,

Avez vous essayé ZombieKill (Réponse 7) ?
Gilles Chanteau - gileCAD -
Développements sur mesure pour AutoCAD
Image IPB
0

#12 L'utilisateur est hors-ligne   fauxsuisse 

  • ceinture noire 1er dan
  • Groupe : Membres
  • Messages : 985
  • Inscrit(e) : 01-septembre 04
  • LocationSuisse - Châtel St. Denis

Posté 07 août 2009 - 06:25

Salut Gile.

Oui j'ai essayé mais rien ne se passe, le problème c'est que cela apparaît seulement avec certains dessins, si non tous les autres dessins crées sous 2010 et sauvegardés en 2007 fonctionnent sans aucun problème, et je ne trouve pas non plus beaucoup d'info concernant les éléments AEC je patauge un peu pour les trouver.

Bonnes journée :exclam:
0

#13 L'utilisateur est hors-ligne   (gile) 

  • ceinture rouge et blanche 8em dan
  • Groupe : Moderateurs
  • Messages : 11 425
  • Inscrit(e) : 02-septembre 05

Posté 07 août 2009 - 07:49

Salut,

Les objets AEC sont des objets spécifiques à des applications verticales (AutoCAD Architecture, Civil...).
Il sont créés avec ces applications et ne sont complètement accessibles qu'avec ces applications.
Si on ouvre un dessin contenant ce type d'objets avec AutoCAD "simple", ces objets seront considérés comme des ProxyObjects ou ZombieEntities.

Le LISP ZombieKill parcourt toute la base de données du dessin et supprime tous les objets de type ZombieEntity.
Il faut donc ouvrir le fichier incriminé, lancer le LISP et enregistrer le fichier ("enregistrer sous" de préférence pour conserver l'original) le nouveau fichier devrait être débarrassé de ces objets.

Mais ces objets ont aussi souvent des propriétés spécifiques à l'application qui les a créés. Ces propriétés sont conservés dans le dessin dans des dictionnaires qu'il faudrait aussi supprimer si on veut complètement purger le dessin de tous les objets AEC.
Il va sans dire qu'un dessin purgé de la sorte ne serait plus complètement utilisable avec l'application qui l'a créé.

Si tu peux m'envoyer un fichier ou un extrait qui pose problème, j'essayerais de regarder plus avant.
chanteau.gilles (at) orange.fr

Gilles Chanteau - gileCAD -
Développements sur mesure pour AutoCAD
Image IPB
0

#14 L'utilisateur est hors-ligne   fauxsuisse 

  • ceinture noire 1er dan
  • Groupe : Membres
  • Messages : 985
  • Inscrit(e) : 01-septembre 04
  • LocationSuisse - Châtel St. Denis

Posté 07 août 2009 - 08:44

Merci Gile

ça fonctionne, en somme le dessin faisait appelle à un Xref d'une base architecte qui je pense c'est elle qui devait avoir des éléments AEC, j'ai détaché le Xref utilisé le lisp et purger et j'ai retesté et ça fonctionne.

Merci encore et bonne journée
0

#15 L'utilisateur est hors-ligne   (gile) 

  • ceinture rouge et blanche 8em dan
  • Groupe : Moderateurs
  • Messages : 11 425
  • Inscrit(e) : 02-septembre 05

Posté 07 août 2009 - 21:34

Salut,

Suite à un échange de fichiers avec ludo07, je viens de voir que ZombieKill pouvait ne pas être suffisant et qu'il valait mieux supprimer directement les dictionnaires.

Attention, les LISP suivant sont à utiliser avec circonspection (sur une copie du fichier)

RemoveAEC : supprime tous les dictionnaires AEC du dessin

;; RemoveAEC (gile)

;; Supprime tous les dictionnaires AEC du dessin

(defun c:RemoveAEC ()

  (foreach p (entget (namedobjdict))

    (if (and (= 3 (car p))

             (wcmatch (cdr p) "AEC*")

        )

      (dictremove (namedobjdict) (cdr p))

    )

  )

  (princ)

)


Un autre qui supprime tous les dictionnaires non créés par AutoCAD de base

;; RemoveDict (gile)

;; Supprimes tous les dictionnaires non créés par AutoCAD

(defun c:RemoveDict ()

  (foreach p (entget (namedobjdict))

  (if (and (= 3 (car p))

           (not (wcmatch (cdr p) "ACAD*,AcDb*,ASE*"))

      )

    (dictremove (namedobjdict) (cdr p))

  )

)

  (princ)

)

Gilles Chanteau - gileCAD -
Développements sur mesure pour AutoCAD
Image IPB
0

#16 L'utilisateur est hors-ligne   ludo07 

  • ceinture noire
  • Groupe : Membres
  • Messages : 430
  • Inscrit(e) : 13-octobre 05

Posté 10 août 2009 - 08:35

Bonjour à tous

Merci (gilles).
0

#17 L'utilisateur est hors-ligne   Steven 

  • ceinture rouge et blanche 7em dan
  • Groupe : Membres
  • Messages : 3 841
  • Inscrit(e) : 03-mars 03
  • LocationDans le TARDIS

Posté 10 août 2009 - 09:52

Bonjours à tous.

Pour ne plus avoir d'objet ou de chargement AEC depuis AutoCAD Architecture, il faut passer par la commande Fichier > Exporter ves AutoCAD > Et choisir le format de destination. De ce fait, tout ce qui concerne les AEC sont supprimés.

Steven________________________________________
Pour le taf; Windows (et ses emmerdes) sinon pas d'AutoCAD.
Pour la maison; Linux Mint et pas de problèmes. Mais pas d'AutoCAD.
En rêve; AutoCAD sous Linux.
0

#18 L'utilisateur est en ligne   lecrabe 

  • ceinture rouge et blanche 8em dan
  • Groupe : Moderateurs
  • Messages : 9 134
  • Inscrit(e) : 10-décembre 03
  • LocationLoire (42)

Posté 18 août 2009 - 16:28


Hello

Comme il y a de nombreux problèmes avec par exemple les XDATAs
et les applications APPID registrés, Autodesk a développé un utilitaire :

--- Version 2010 ---
http://usa.autodesk....&linkID=9240618

--- Versions 2009 et 2008 ---
http://usa.autodesk....&linkID=9240618

Apres le fameux Cleanup Scale List , nous avons maintenant le RegAppId Cleanup !

Je suis toujours en attente du :
- Bug Cleanup Utility
- et surtout du 2009/2010 Accelerator !!!

Le Decapode


0

#19 L'utilisateur est hors-ligne   Valentin Racca 

  • ceinture blanche
  • Groupe : Membres
  • Messages : 1
  • Inscrit(e) : 25-juillet 19

Posté 01 octobre 2019 - 14:45

Bonjour,

Taper la fonction : AECFORCEEXPLODETOSOLID
Mettre la valeur : Actif

Et hop, plus de message lors d'un copier/coller.

Cordialement,
Valentin.
0

Partager ce sujet :


Page 1 sur 1
  • Vous ne pouvez pas commencer un sujet
  • Vous ne pouvez pas répondre à ce sujet

1 utilisateur(s) en train de lire ce sujet
0 membre(s), 1 invité(s), 0 utilisateur(s) anonyme(s)